## org.jboss.jms.ra
Class JmsCred

    java.lang.Object
      |
      +--org.jboss.jms.ra.JmsCred

public class JmsCred
extends java.lang.Object

JmsCred.java Created: Sat Mar 31 03:23:30 2001

Version:
  $Revision: 1.1.4.2 $
Author:
  Peter Antman.

Field Summary
`java.lang.String` `name`
`java.lang.String` `pwd`

Constructor Summary
`JmsCred()`

Method Summary
`static JmsCred` `getJmsCred(javax.resource.spi.ManagedConnectionFactory mcf, javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo info)` Get our own simple cred

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### pwd

    public java.lang.String pwd

Constructor Detail

### JmsCred

    public JmsCred()

Method Detail

### getJmsCred

    public static JmsCred getJmsCred(javax.resource.spi.ManagedConnectionFactory mcf,
                                     javax.security.auth.Subject subject,
                                     javax.resource.spi.ConnectionRequestInfo info)
                              throws javax.resource.spi.SecurityException

  Get our own simple cred

Copyright © 2000 The JBoss Organization. All Rights Reserved.